%define majver %(echo %version | cut -d. -f1-2)
%define plasmaver %(echo %version | cut -d. -f1-3)

Name:          kwayland-integration
Version:       6.4.3
Release:       1mamba
Summary:       KDE Plasma Wayland integration
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/it/plasma-desktop/
Source:        https://download.kde.org/%{stable_kf6}/plasma/%{plasmaver}/kwayland-integration-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkwayland5-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwayland-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt5-qtwayland-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
KDE Plasma Wayland integration.


%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_qt6_plugindir}/kf5/kwindowsystem/KF5WindowSystemKWaylandPlugin.so
%{_datadir}/qlogging-categories6/kwindowsystem.kwayland.categories
%doc LICENSES

%changelog
* Wed Jul 16 2025 Automatic Build System <autodist@openmamba.org> 6.4.3-1mamba
- automatic version update by autodist

* Wed Jul 02 2025 Automatic Build System <autodist@openmamba.org> 6.4.2-1mamba
- automatic version update by autodist

* Wed Jun 25 2025 Automatic Build System <autodist@openmamba.org> 6.4.1-1mamba
- automatic version update by autodist

* Wed Jun 18 2025 Automatic Build System <autodist@openmamba.org> 6.4.0-1mamba
- automatic version update by autodist

* Wed May 07 2025 Automatic Build System <autodist@openmamba.org> 6.3.5-1mamba
- automatic version update by autodist

* Wed Apr 02 2025 Automatic Build System <autodist@openmamba.org> 6.3.4-1mamba
- automatic version update by autodist

* Fri Mar 14 2025 Automatic Build System <autodist@openmamba.org> 6.3.3-1mamba
- automatic version update by autodist

* Wed Feb 26 2025 Automatic Build System <autodist@openmamba.org> 6.3.2-1mamba
- automatic version update by autodist

* Wed Feb 19 2025 Automatic Build System <autodist@openmamba.org> 6.3.1-1mamba
- automatic version update by autodist

* Tue Feb 11 2025 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Wed Jan 01 2025 Automatic Build System <autodist@openmamba.org> 6.2.5-1mamba
- automatic version update by autodist

* Tue Nov 26 2024 Automatic Build System <autodist@openmamba.org> 6.2.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 6.2.3-1mamba
- automatic version update by autodist

* Wed Oct 23 2024 Automatic Build System <autodist@openmamba.org> 6.2.2-1mamba
- automatic version update by autodist

* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 6.2.1-1mamba
- automatic version update by autodist

* Tue Oct 08 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 6.1.5-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 6.1.4-1mamba
- automatic version update by autodist

* Wed Jul 17 2024 Automatic Build System <autodist@openmamba.org> 6.1.3-1mamba
- automatic version update by autodist

* Tue Jul 02 2024 Automatic Build System <autodist@openmamba.org> 6.1.2-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 6.1.1-1mamba
- automatic version update by autodist

* Tue Jun 18 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Wed May 22 2024 Automatic Build System <autodist@openmamba.org> 6.0.5-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 6.0.4-1mamba
- automatic version update by autodist

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 6.0.3-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 6.0.2-1mamba
- automatic version update by autodist

* Fri Mar 08 2024 Automatic Build System <autodist@openmamba.org> 6.0.1-1mamba
- automatic version update by autodist

* Mon Mar 04 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 5.93.0-1mamba
- automatic version update by autodist

* Sat Jan 27 2024 Automatic Build System <autodist@openmamba.org> 5.92.0-1mamba
- automatic version update by autodist

* Thu Dec 07 2023 Automatic Build System <autodist@mambasoft.it> 5.27.10-1mamba
- automatic version update by autodist

* Wed Oct 25 2023 Automatic Build System <autodist@mambasoft.it> 5.27.9-1mamba
- automatic version update by autodist

* Wed Sep 13 2023 Automatic Build System <autodist@mambasoft.it> 5.27.8-1mamba
- automatic version update by autodist

* Wed Aug 02 2023 Automatic Build System <autodist@mambasoft.it> 5.27.7-1mamba
- automatic version update by autodist

* Wed Jun 21 2023 Automatic Build System <autodist@mambasoft.it> 5.27.6-1mamba
- automatic version update by autodist

* Wed May 10 2023 Automatic Build System <autodist@mambasoft.it> 5.27.5-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Automatic Build System <autodist@mambasoft.it> 5.27.4-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 5.27.3-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 5.27.2-1mamba
- automatic version update by autodist

* Wed Feb 22 2023 Automatic Build System <autodist@mambasoft.it> 5.27.1-1mamba
- automatic version update by autodist

* Sat Feb 18 2023 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 5.26.5-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 5.26.4-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 5.26.3-1mamba
- automatic version update by autodist

* Fri Oct 28 2022 Automatic Build System <autodist@mambasoft.it> 5.26.2-1mamba
- automatic version update by autodist

* Wed Oct 19 2022 Automatic Build System <autodist@mambasoft.it> 5.26.1-1mamba
- automatic version update by autodist

* Wed Oct 12 2022 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Wed Sep 07 2022 Automatic Build System <autodist@mambasoft.it> 5.25.5-1mamba
- automatic version update by autodist

* Wed Aug 03 2022 Automatic Build System <autodist@mambasoft.it> 5.25.4-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Automatic Build System <autodist@mambasoft.it> 5.25.3-1mamba
- automatic version update by autodist

* Tue Jun 28 2022 Automatic Build System <autodist@mambasoft.it> 5.25.2-1mamba
- automatic version update by autodist

* Tue Jun 21 2022 Automatic Build System <autodist@mambasoft.it> 5.25.1-1mamba
- automatic version update by autodist

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 5.24.5-1mamba
- automatic version update by autodist

* Wed Mar 30 2022 Automatic Build System <autodist@mambasoft.it> 5.24.4-1mamba
- automatic version update by autodist

* Wed Mar 09 2022 Automatic Build System <autodist@mambasoft.it> 5.24.3-1mamba
- automatic version update by autodist

* Wed Feb 23 2022 Automatic Build System <autodist@mambasoft.it> 5.24.2-1mamba
- automatic version update by autodist

* Wed Feb 16 2022 Automatic Build System <autodist@mambasoft.it> 5.24.1-1mamba
- automatic version update by autodist

* Tue Feb 08 2022 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Wed Jan 05 2022 Automatic Build System <autodist@mambasoft.it> 5.23.5-1mamba
- automatic version update by autodist

* Wed Dec 01 2021 Automatic Build System <autodist@mambasoft.it> 5.23.4-1mamba
- automatic version update by autodist

* Wed Nov 10 2021 Automatic Build System <autodist@mambasoft.it> 5.23.3-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Automatic Build System <autodist@mambasoft.it> 5.23.2-1mamba
- automatic version update by autodist

* Wed Oct 20 2021 Automatic Build System <autodist@mambasoft.it> 5.23.1-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 5.22.5-1mamba
- automatic version update by autodist

* Tue Jul 27 2021 Automatic Build System <autodist@mambasoft.it> 5.22.4-1mamba
- automatic version update by autodist

* Tue Jul 06 2021 Automatic Build System <autodist@mambasoft.it> 5.22.3-1mamba
- automatic version update by autodist

* Wed Jun 23 2021 Automatic Build System <autodist@mambasoft.it> 5.22.2.1-1mamba
- automatic version update by autodist

* Tue Jun 15 2021 Automatic Build System <autodist@mambasoft.it> 5.22.1-1mamba
- automatic version update by autodist

* Tue Jun 08 2021 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Sat May 08 2021 Automatic Build System <autodist@mambasoft.it> 5.21.5-2mamba
- automatic version update by autodist

* Wed May 05 2021 Automatic Build System <autodist@mambasoft.it> 5.21.5-1mamba
- automatic version update by autodist

* Wed Apr 07 2021 Automatic Build System <autodist@mambasoft.it> 5.21.4-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 5.21.3-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 5.21.2-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 5.21.1-1mamba
- automatic version update by autodist

* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Tue Jan 05 2021 Automatic Build System <autodist@mambasoft.it> 5.20.5-1mamba
- automatic version update by autodist

* Tue Dec 01 2020 Automatic Build System <autodist@mambasoft.it> 5.20.4-1mamba
- automatic version update by autodist

* Wed Nov 11 2020 Automatic Build System <autodist@mambasoft.it> 5.20.3-1mamba
- automatic version update by autodist

* Wed Oct 28 2020 Automatic Build System <autodist@mambasoft.it> 5.20.2-1mamba
- automatic version update by autodist

* Tue Oct 20 2020 Automatic Build System <autodist@mambasoft.it> 5.20.1-1mamba
- automatic version update by autodist

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Tue Sep 01 2020 Automatic Build System <autodist@mambasoft.it> 5.19.5-1mamba
- automatic version update by autodist

* Wed Jul 29 2020 Automatic Build System <autodist@mambasoft.it> 5.19.4-1mamba
- automatic version update by autodist

* Tue Jul 07 2020 Automatic Build System <autodist@mambasoft.it> 5.19.3-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 5.19.2-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.19.1-1mamba
- automatic version update by autodist

* Tue Jun 09 2020 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.5-1mamba
- update to 5.18.5

* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.4.1-1mamba
- package created using the webbuild interface
